%bcond_without check
%global rustflags_debuginfo 1

Summary:        Helper program to build and install c-like libraries
Name:           cargo-c
Version:        0.10.3
Release:        1%{?dist}
License:        MIT
URL:            https://crates.io/crates/cargo-c
Source0:        https://github.com/lu-zero/cargo-c/archive/refs/tags/v%{version}.tar.gz #/%{name}-%{version}.tar.gz
# cd source directory; cargo vendor; tar
Source1:        cargo-c-%{version}-vendor.tar.bz2

BuildRequires:  cargo rust-toolset
BuildRequires:  pkgconfig(openssl)

%description
cargo applet to build and install C-ABI compatible dynamic and static libraries.
It produces and installs a correct pkg-config file, a static library and
a dynamic library, and a C header to be used by any C (and C-compatible) software.


%prep
%setup
%cargo_prep -V 1


%build
%cargo_build


%install
%cargo_install


%if %{with check}
%check
%cargo_test
%endif


%files
%license LICENSE
%doc README.md
%{_bindir}/cargo-capi
%{_bindir}/cargo-cbuild
%{_bindir}/cargo-cinstall
%{_bindir}/cargo-ctest


%changelog
* Mon Aug 19 2024 Upgrade Robot <upbot@opencloudos.tech> - 0.10.3-1
- Upgrade to version 0.10.3
- add shell script for rpm-upgrade

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.18-7
- Rebuilt for loongarch release

* Wed Jun 5 2024 Pengda Dou <doupengda@loongson.cn> - 0.9.18-6
- [Type] other
- [DESC] add support for loongarch64

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.18-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 18 2023 Wang Guodong <gordonwwang@tencent.com> - 0.9.18-4
- Rebuilt for rust 1.69.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.18-3
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 27 2023 rockerzhu <rockerzhu@tencent.com> - 0.9.18-2
- Enable check.

* Sun Apr 23 2023 rockerzhu <rockerzhu@tencent.com> - 0.9.18-1
- Initial build.
